%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This program is used to plot the confusion pattern of
% speech perception.
% Input: cm -- confusion matrix
% Output: cp -- table of pi as a function of SNR (row) and
%                 Consonants (column)
%   Author:      Feipeng Li at HSR, Beckman Institute, UIUC
%   Time-stamp:  2006-10-10, revised on 2007-06-11
%   E-mail:      fli2@uiuc.edu
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function cp = extract_cp(AI_cube)

cp = AI_cube(1).CP;
