% this function automatically move a point to its edge when it is very
% close to the border
function [xo, yo] = edge_snap(xi, yi, xmin, xmax, ymin, ymax)

if xi<xmin, xi = xmin; end;
if xi>xmax, xi = xmax; end
if yi<ymin, yi = ymin; end;
if yi>ymax, yi = ymax; end

xo = xi; yo = yi;

x_thresh = round((xmax - xmin)*0.01);
y_thresh = round((ymax - ymin)*0.01);

if (abs((xi-xmin))<x_thresh)
    xo = xmin;
end

if (abs((xi-xmax))<x_thresh)
    xo = xmax;
end

if (abs((yi-ymin))<y_thresh)
    yo = ymin;
end

if (abs((yi-ymax))<y_thresh)
    yo = ymax;
end
    
