% this program is used to test plot_event_gram, plot_cc, plot_AI_gram,
% plot_cp.

clear all; close all; clc;
wav_file = 's_f105_ta.wav'; 
snr = 12; exp = 16; 

scrsz = get(0,'ScreenSize');
figure('Position',[50 50 800 600]);


% show event_gram
AI_cube = creat_AI_cube(wav_file, exp);
t_star = find_t_burst(AI_cube, snr); % this function works only for /t/ at high snr conditions
%t_star = 0.275; 
event_gram = extract_event_gram(AI_cube, t_star);
num = 2; 
subplot(2,2,num); position; 
plot_event_gram(event_gram, wav_file, snr, t_star, exp);

% show instantaneous cc
cc = extract_cc(AI_cube, snr); 
num = 3; 
subplot(2,2,num); position; 
plot_cc(cc, wav_file, snr, t_star, exp);

% show AIgram
AIgram = extract_AI_gram(AI_cube, snr); 
num = 1; 
subplot(2,2,num); position; 
plot_AI_gram(AIgram, wav_file, snr, t_star, exp)

% show CP
num = 4; 
subplot(2,2,num); position; 
plot_cp(wav_file, exp);
