%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This program extract the cc of designated snr from the AI cube 
% Input: AI_cube -- cube of the AIgram
%        snr -- the designated signal-to-noise ratio
% Output: cc -- the time variant communication compacity (cc) associated 
%               with the designated snr
%   Author:      Feipeng Li revised from Marion's code
%   E-mail:      fli2@uiuc.edu
%   Time-stamp:  2007-06-05
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function cc = extract_cc(AI_cube, snr)

cc = [];
for i = 1:length(AI_cube)
    if AI_cube(i).snr == snr
        cc.data = AI_cube(i).cc;% get the right snr
        cc.time_axis = AI_cube(i).time_axis; 
    end
end